/*H+ UICTypes.h
*
*    SCCS ID: @(#)UICTypes.h 1.1 91/08/02 SMI 
*
*    Copyright (c) 1990,1991 Sun Microsystems, Inc.  All rights reserved.
*    See LEGAL_NOTICE file for terms of the license.
*
*    PURPOSE:
*
*    Provides include files and type definitions that are used by the UIC.
*
*    AUTHOR: Joe Warzecha and Mark Soloway
*
*    REVISION HISTORY:
*
*    Who       When       Why                   
*    --------- ---------- -----------------------
*    MGS       05/10/91   Preparation for code review.
*
*H-*/
#ifndef _UIC_TYPES_H
#define _UIC_TYPES_H

// Includes

// System Includes
#include <stdio.h>

#define _sys_varargs_h  	/* so we don't include /usr/include/varargs.h */
#define VARARGSH		/* so we don't include /usr/CC/incl/varargs.h */
#include <stdarg.h>

#include <time.h>
#include <sys/wait.h>
#include <sys/time.h>
#include <sys/resource.h>

#include "Boolean.h"

// XView Includes
#include <xview/base.h>
#include <xview/cms.h>
#include <xview/xview.h>
#include <xview/panel.h>
#include <xview/textsw.h>

// X11 Library Include
#include <X11/Xlib.h>

// Macro Definitions

// UIC Version 1 for public interface compatibility purposes
#define UICV1 "UICV1"

// If XV_VERSION_NUMBER is defined, then this is OpenWindows V3
#ifdef XV_VERSION_NUMBER
#ifndef OWNV3
#define OWNV3
#endif
#endif

// Type Definitions
class UIObject;

typedef Xv_opaque 	   UICGeneric;

typedef void           	 (*UICHandlerFunction) (UIObject *);
typedef void           	 (*UICTargetFunction) (UIObject *, UIObject *);

typedef Xv_singlecolor	   Color;
typedef Destroy_status     DestroyStatus;
typedef Panel_setting	   DisplaySetting;
typedef Notify_value       EventResult;
typedef XID                PixelMap;
typedef Textsw_status	   TextDisplayStatus;

typedef struct {
	XID             xid;
	int             x;
	int             y;
	Window          window;
	Atom            property;
} DragMessage;

enum  	ColorMapType	   { STATIC, DYNAMIC };
enum	Dimension	   { HEIGHT, WIDTH };
enum	DrawingModel	   { XVIEW, X11, POSTSCRIPT };
enum 	Orientation	   { HORIZONTAL, VERTICAL };
enum 	Position	   { LEFT, ABOVE };
enum	SelectionStatus	   { SELECT, DESELECT, VALIDATE, DELETE, UNKNOWN };

enum	UICAttribute	   { UIC_NO_ATTRIBUTE, UIC_OPEN_PS_CONNECTION };
typedef long		   UICAttributeValue;

// Constants
const 	int		   UIC_NOT_SET = -1;
const   UICHandlerFunction UIC_NO_FUNCTION = NULL;

const	int		   UIC_OBJECT_KEY = 100;
const	int		   UIC_FRAME_KEY  = 101;

#endif /* _UIC_TYPES_H */
