/*H+ list.h
*
*    Copyright (c) 1990,1991 by Sun Microsystems, Inc.  All rights reserved.
*    See LEGAL_NOTICE file terms of the license.
*
*    SCCS ID: @(#)list.h 1.1 91/08/02 SMI 
*
*    PURPOSE:
*
*    Declares external functions for list.c.
*
*    REVISION HISTORY:
*
*    Who       When       Why                   
*    --------- ---------- -----------------------
*    MGS       05/10/91   Preparation for code review.
*
*H-*/

#ifndef _LIST_H
#define _LIST_H

/*D+ void guic_append (GUIC_OBJ *obj)
*
* Purpose: Appends the specified object to the application object list.
*
* GUIC_OBJ *obj (I) The object to append.
*D-*/
extern void guic_append();

/*D+ GUIC_OBJ *guic_first ()
*
* Purpose: Returns the first object in the list.
*
* GUIC_OBJ *obj (R) The object.
*D-*/
extern GUIC_OBJ *guic_first();

/*D+ GUIC_OBJ *guic_next ()
*
* Purpose: Returns the next object in the list.
*
* GUIC_OBJ *obj (R) The object.
*D-*/
extern GUIC_OBJ *guic_next();

/*D+ GUIC_OBJ *guic_object (char *name)
*
* Purpose: Returns the object with the specified name.
*
* char     *name (I) The name of the object.
* GUIC_OBJ *obj  (R) The object.
*D-*/
extern GUIC_OBJ *guic_object();

#endif /* _LIST_H */
