/*H+ done.c
*
*    SCCS ID: @(#)done.c 1.1 91/08/02 SMI
*
*    Copyright (c) 1990,1991 Sun Microsystems, Inc.  All rights reserved.
*    See LEGAL_NOTICE file for terms of the license.
*
*    PURPOSE:
*
*    Functions for writing done handler stubs.
*
*    GLOBAL ROUTINES:
*
*    guic_write_done_function_stub - Writes a stub for a UIC done handler.
*
*    REVISION HISTORY:
*
*    Who       When       Why                              
*    --------- ---------- ------------------------
*    MGS       05/10/91   Preparation for code review.
*
*H-*/
#ifndef lint
static char sccsid [] = "@(#)done.c 1.1 91/08/02 SMI"; 
#endif

/* Includes */
#include <guide.h>
#include <gio.h>
#include "guic.h"
#include "list.h"
#include "xv.h"
#include "done.h"

/*F+ void guic_write_done_function_stub (GUIC_OBJ *obj)
*
*    PURPOSE:
*
*    Writes the UIC done handler stub corresponding to the supplied object.
*
*    PARAMETERS:
*
*    obj - The object to write the stub for.
*
*    REVISION HISTORY:
*
*    Who       When       Why                       
*    --------- ---------- ------------------------
*
*F-*/
void
guic_write_done_function_stub(obj)
	GUIC_OBJ        *obj;
{
	if (!obj->done_handler || guic_stub_written(obj->done_handler))
		return;
	
	/*
	 * Write a comment.
	 */
	gio_printf("/*\n * Done handler function for `%s'.\n */\n",
		 obj->name);
	
	/*
	 * Write the function header.
	 */
	gio_printf ("void %s (UIObject *object)\n", obj->done_handler);
	gio_puts ("{\n");
	
	/*
	 * Write a trace message.
	 */
	gio_printf("  fputs (\"%s: %s\\n\", stderr);\n",
		   guic_application(),
		   obj->done_handler);
	gio_putc ('\n');

	/*
	 * Write the function footer.
	 */
	gio_puts ("  return;\n");
	gio_puts ("}\n\n");
}

#ifdef TEST
#endif /* TEST */
