/*H+ xv.c
*
*    SCCS ID: @(#)xv.c 1.1 91/08/02 SMI
*
*    Copyright (c) 1990,1991 Sun Microsystems, Inc.  All rights reserved.
*    See LEGAL_NOTICE file for terms of the license.
*
*    PURPOSE:
*
*    XView interface functions.
*
*    GLOBAL ROUTINES:
*
*    guic_xv_event -  Return a string corresponding to an XView event type.
*
*    REVISION HISTORY:
*
*    Who       When       Why                              
*    --------- ---------- ------------------------
*    MGS       05/10/91   Preparation for code review.
*
*H-*/
#ifndef lint
static char sccsid [] = "@(#)xv.c 1.1 91/08/02 SMI"; 
#endif

/* Includes */
#include <guide.h>
#include "guic.h"
#include "xv.h"

/*F+ void guic_xv_event (G_EVENT_TYPES event)
*
*    PURPOSE:
*
*    Return a string corresponding to an XView event type.
*
*    PARAMETERS:
*
*    event - The GUIDE event type.
*
*    RETURN VALUES:
*
*    Returns a string containing the XView event type.  If the GUIDE event
*    type is unknown, "UNKNOWN" is returned.
*
*    REVISION HISTORY:
*
*    Who       When       Why                       
*    --------- ---------- ------------------------
*
*F-*/
char	       *
guic_xv_event(event)
	G_EVENT_TYPES	event;
{
	switch (event) {
	case G_KEYBOARD:
		return "WIN_ASCII_EVENTS";
		
	case G_KEYBOARD_LEFT:
		return "WIN_LEFT_KEYS";
		
	case G_KEYBOARD_RIGHT:
		return "WIN_RIGHT_KEYS";
		
	case G_KEYBOARD_TOP:
		return "WIN_TOP_KEYS";
		
	case G_MOUSE:
		return "WIN_MOUSE_BUTTONS";
		
	case G_MOUSE_DRAG:
		return "LOC_DRAG";
		
	case G_MOUSE_ENTER:
		return "LOC_WINENTER";
		
	case G_MOUSE_EXIT:
		return "LOC_WINEXIT";

	case G_MOUSE_MOVE:
		return "LOC_MOVE";

	default:
		return "UNKNOWN";
	}
}

#ifdef TEST
#endif
