/**H+memlib.h **********************************************************
*
*    SCCS ID: @(#)memlib.h 1.1 91/08/02 SMI
*
*    Copyright (c) 1990,1991 Sun Microsystems, Inc.  All rights reserved.
*    See LEGAL_NOTICE file for terms of the license.
*
*    PURPOSE:
*
*    Useful macros for dynamic allocation of memory.
*
*    AUTHOR: Mark Soloway
*
*    REVISION HISTORY:
*                                                          Documentation
*                                                             Updated?
*    Who       When       Why                               Pcode InLine
*    --------- ---------- --------------------------------- ----- ------
*    MGS       12/22/89   Original Creation.                  Y     Y
*
*H-*/

#ifndef _MEMLIB_H
#define _MEMLIB_H

#include <memory.h>

extern char *mem_Calloc ();
extern char *mem_Malloc ();
extern char *mem_Realloc ();
extern void  mem_Free ();
extern char *mem_FreeNull ();

#define CALLOC(n, s) mem_Calloc ((unsigned) (n), (unsigned) (s), \
				 __FILE__, __LINE__)
#define MALLOC(s) mem_Malloc ((unsigned) (s), __FILE__, __LINE__)
#define REALLOC(m, s) mem_Realloc ((char *) (m), (unsigned) (s), \
				   __FILE__, __LINE__)
#define FREE(m) mem_Free ((char *) (m), __FILE__, __LINE__)
#define FREE_NULL(m) mem_FreeNull ((char *) (m), __FILE__, __LINE__)

#define MEMCCPY(s1, s2, c, n) memccpy ((char *) (s1), \
				       (char *) (s2), \
				       (int) (c), int (n))
#define MEMCHR(s, c, n) memchr ((char *) (s), (int) (c), (int) (n))
#define MEMCMP(s1, s2, n) memcmp ((char *) (s1), (char *) (s2), (int) (n))
#define MEMCPY(s1, s2, n) memcpy ((char *) (s1), (char *) (s2), (int) (n))
#define MEMSET(s, c, n) memset ((char *) (s), (int) (c), (int) (n))

#endif
